## org.apache.html.dom
Class HTMLOptionElementImpl

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.html.dom.HTMLElementImpl
                          org.apache.html.dom.HTMLOptionElementImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLOptionElement, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

    public class HTMLOptionElementImpl

extends HTMLElementImpl
implements org.w3c.dom.html.HTMLOptionElement

Version:
  $Revision: 447255 $ $Date: 2006-09-18 01:36:42 -0400 (Mon, 18 Sep 2006) $
Author:
  Assaf Arkin
See Also:
  `HTMLOptionElement`, `ElementImpl`, Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`HTMLOptionElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`boolean` `getDefaultSelected()` Stores the initial value of the `selected` attribute.
`boolean` `getDisabled()` The control is unavailable in this context.
`int` `getIndex()` The index of this `OPTION` in its parent `SELECT`.
`java.lang.String` `getLabel()` Option label for use in hierarchical menus.
`boolean` `getSelected()` Means that this option is initially selected.
`java.lang.String` `getText()` The text contained within the option element.
`java.lang.String` `getValue()` The current form control value.
`void` `setDefaultSelected(boolean defaultSelected)`
`void` `setDisabled(boolean disabled)`
`void` `setIndex(int index)`
`void` `setLabel(java.lang.String label)`
`void` `setSelected(boolean selected)`
`void` `setText(java.lang.String text)`
`void` `setValue(java.lang.String value)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl

`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLOptionElement
`getForm`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLOptionElementImpl

    public HTMLOptionElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getDefaultSelected

    public boolean getDefaultSelected()

  Description copied from interface: `org.w3c.dom.html.HTMLOptionElement`
  Stores the initial value of the `selected` attribute.

  Specified by:
    `getDefaultSelected` in interface `org.w3c.dom.html.HTMLOptionElement`

### setDefaultSelected

    public void setDefaultSelected(boolean defaultSelected)

  Specified by:
    `setDefaultSelected` in interface `org.w3c.dom.html.HTMLOptionElement`

### getText

    public java.lang.String getText()

  Description copied from interface: `org.w3c.dom.html.HTMLOptionElement`
  The text contained within the option element.

  Specified by:
    `getText` in interface `org.w3c.dom.html.HTMLOptionElement`

### setText

    public void setText(java.lang.String text)

### getIndex

    public int getIndex()

  Description copied from interface: `org.w3c.dom.html.HTMLOptionElement`
  The index of this `OPTION` in its parent `SELECT`.

  Specified by:
    `getIndex` in interface `org.w3c.dom.html.HTMLOptionElement`

### setIndex

    public void setIndex(int index)

  Specified by:
    `setIndex` in interface `org.w3c.dom.html.HTMLOptionElement`

### getDisabled

    public boolean getDisabled()

  Description copied from interface: `org.w3c.dom.html.HTMLOptionElement`
  The control is unavailable in this context. See the disabled attribute definition in HTML 4.0.

  Specified by:
    `getDisabled` in interface `org.w3c.dom.html.HTMLOptionElement`

### setDisabled

    public void setDisabled(boolean disabled)

  Specified by:
    `setDisabled` in interface `org.w3c.dom.html.HTMLOptionElement`

### getLabel

    public java.lang.String getLabel()

  Description copied from interface: `org.w3c.dom.html.HTMLOptionElement`
  Option label for use in hierarchical menus. See the label attribute definition in HTML 4.0.

  Specified by:
    `getLabel` in interface `org.w3c.dom.html.HTMLOptionElement`

### setLabel

    public void setLabel(java.lang.String label)

  Specified by:
    `setLabel` in interface `org.w3c.dom.html.HTMLOptionElement`

### getSelected

    public boolean getSelected()

  Description copied from interface: `org.w3c.dom.html.HTMLOptionElement`
  Means that this option is initially selected. See the selected attribute definition in HTML 4.0.

  Specified by:
    `getSelected` in interface `org.w3c.dom.html.HTMLOptionElement`

### setSelected

    public void setSelected(boolean selected)

### getValue

    public java.lang.String getValue()

  Description copied from interface: `org.w3c.dom.html.HTMLOptionElement`
  The current form control value. See the value attribute definition in HTML 4.0.

  Specified by:
    `getValue` in interface `org.w3c.dom.html.HTMLOptionElement`

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    `setValue` in interface `org.w3c.dom.html.HTMLOptionElement`

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.